Upgrading from Fencing Time v3.0


If you currently own Fencing Time v3.0, you must purchase a new Standard license for Fencing Time version 4.2. The v3.0 licenses are not compatible with v4.x. Currently, we are not offering an upgrade discount.

Of course, you can still use Fencing Time v3.0 with your existing v3.0 license. However, Fencing Time v3.0 will no longer receive updates nor new features, so if you want to take advantage of the latest features, you will need to buy a Fencing Time v4.x license.